Package weka.gui.beans

# Class ClassAssignerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
weka.gui.beans.ClassAssignerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class ClassAssignerBeanInfo extends SimpleBeanInfo
BeanInfo class for the class assigner bean

Version:
  $Revision: 8034 $
Author:
  Mark Hall

- ## Field Summary

  ### Fields inherited from interface java.beans.BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassAssignerBeanInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanDescriptor`
  `getBeanDescriptor()`
  `EventSetDescriptor[]`
  `getEventSetDescriptors()`
  Returns the event set descriptors
  `PropertyDescriptor[]`
  `getPropertyDescriptors()`
  Returns the property descriptors

  ### Methods inherited from class java.beans.SimpleBeanInfo

  `getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, loadImage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassAssignerBeanInfo

    public ClassAssignerBeanInfo()

- ## Method Details

  - ### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()
    Returns the event set descriptors
    Specified by:
      `getEventSetDescriptors` in interface `BeanInfo`
    Overrides:
      `getEventSetDescriptors` in class `SimpleBeanInfo`
    Returns:
      an `EventSetDescriptor[]` value

  - ### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()
    Returns the property descriptors
    Specified by:
      `getPropertyDescriptors` in interface `BeanInfo`
    Overrides:
      `getPropertyDescriptors` in class `SimpleBeanInfo`
    Returns:
      a `PropertyDescriptor[]` value

  - ### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()
    Specified by:
      `getBeanDescriptor` in interface `BeanInfo`
    Overrides:
      `getBeanDescriptor` in class `SimpleBeanInfo`